*** Settings ***
Documentation     绑定设备
Resource          ../../../CommonConfig/Config.robot
Resource          ../../../AllApi/ClientAPI/PersonalInformationApi/CommonLoginAsync.robot
Resource          ../../../AllApi/DeviceAPI/DevicceInfoApi/ConnectAsync.robot
Resource          ../../../AllApi/ClientAPI/DeviceInformationApi/BindDeviceAsync.robot
Resource          ../../../AllApi/ClientAPI/DeviceInformationApi/RemoveDeviceRelevancyAsync.robot
Resource          ../../../AllApi/DeviceAPI/DevicceInfoApi/GetDeviceByTokenAsync.robot
Resource          ../../../AllApi/ClientAPI/DeviceInformationApi/GetDeviceInfoAsync.robot

*** Test Cases ***
Class_001_绑定设备
    #登录，获取用户Token
    ${token}    GetCommonLoginAsyncToken    ${user_mao}[0]    ${EMPTY}    ${user_mao}[1]    ${3}    ${0}
    #超声设备连接云服务，获取超声设备Token、UniqueCode
    ${res}    ConnectAsyncPost    BFEBFBFF000906EA-627629CA-B70D-418E-8238-5FA9E077D0F6    ${EMPTY}    USDemoV2    US    2.11.0    2.2.27.5    I5-8400    zh-CN    ${EMPTY}    ${EMPTY}    ${EMPTY}    ${EMPTY}    0    0    ${EMPTY}
    ${usToken}    Get From Dictionary    ${res}[content]    Token
    ${uniqueCode}    Get From Dictionary    ${res}[content]    UniqueCode
    #绑定设备至jo下级测试医院
    ${res1}    BindDeviceAsyncPost    ${token}    ${EMPTY}    sonotest    ${EMPTY}    ${EMPTY}    ${organizationCode}    ${EMPTY}    ${uniqueCode}    false
    #校验是否绑定成功
    ${flag}    Result Analysis    ${res1}    True    ${EMPTY}    ${EMPTY}
    Should Be True    ${flag}
    #获取设备的DeviceCode
    ${deviceCode}    GetDeviceByTokenAsyncPost_DeviceCode    ${usToken}
    #校验设备属于jo下级测试医院
    ${res2}    GetDeviceInfoAsyncPost    ${token}    ${deviceCode}
    ${organizationCode1}    Get From Dictionary    ${res2}[content]    OrganizationCode
    Should Be Equal As Strings    ${organizationCode1}    ${organizationCode}
    [Teardown]    RemoveDeviceRelevancyAsyncPost    ${token}    ${organizationCode}    ${EMPTY}    ${deviceCode}

Exception_001_绑定设备，Token正确性校验
    #绑定设备至jo下级测试医院，Token值正确性校验
    ${res}    BindDeviceAsyncPost    111111    ${EMPTY}    sonotest    ${EMPTY}    ${EMPTY}    ${organizationCode}    ${EMPTY}    ${EMPTY}    false
    #校验
    ${flag}    Result Analysis Code    ${res}    false    ${1}
    Should Be True    ${flag}

Exception_002_绑定设备，Token值非空校验
    #绑定设备至jo下级测试医院，Token值正确性校验
    ${res}    BindDeviceAsyncPost    ${EMPTY}    ${EMPTY}    sonotest    ${EMPTY}    ${EMPTY}    ${organizationCode}    ${EMPTY}    ${EMPTY}    false
    #校验
    ${flag}    Result Analysis Code    ${res}    false    ${1}
    Should Be True    ${flag}
