*** Settings ***
Documentation     查找设备型号所有字典项
Resource          ../../../AllApi/ClientAPI/PersonalInformationApi/CommonLoginAsync.robot
Resource          ../../../AllApi/ClientAPI/DeviceInformationApi/FindDeviceModelItemsAsync.robot

*** Test Cases ***
Class_001_查找设备型号所有字典项
    #用户登录获取Token
    ${token}    GetCommonLoginAsyncToken    ${user_mao}[0]    ${EMPTY}    ${user_mao}[1]    ${3}    ${0}
    #查找设备型号所有字典项
    ${res}    findDeviceModelItemsAsyncPost    ${token}    0    ${EMPTY}
    #校验
    Should Not Be Empty    ${res}[content]
    [Teardown]

Class_002_查找设备型号所有字典项，传入存在的DeviceTypeCode
    #用户登录获取Token
    ${token}    GetCommonLoginAsyncToken    ${user_mao}[0]    ${EMPTY}    ${user_mao}[1]    ${3}    ${0}
    #查找设备型号所有字典项
    ${devTypeCode}    Set Variable    US
    ${res}    findDeviceModelItemsAsyncPost    ${token}    0    ${devTypeCode}
    #校验
    ${parentCode}    Get From Dictionary    ${res}[content][0]    ParentCode
    Should Be Equal As Strings    ${parentCode}    ${devTypeCode}
    [Teardown]

Class_003_查找设备型号所有字典项，传入不存在的DeviceTypeCode
    #用户登录获取Token
    ${token}    GetCommonLoginAsyncToken    ${user_mao}[0]    ${EMPTY}    ${user_mao}[1]    ${3}    ${0}
    #查找设备型号所有字典项
    ${devTypeCode}    Set Variable    US11
    ${res}    findDeviceModelItemsAsyncPost    ${token}    0    ${devTypeCode}
    #校验，result返回空
    ${content}    Get From Dictionary    ${res}    content
    Should Be Empty    ${content}
    [Teardown]

Exception_001_查找设备型号所有字典项，Token值正确性校验
    #查找设备型号所有字典项
    ${res}    findDeviceModelItemsAsyncPost    1111    0    ${EMPTY}
    #校验
    ${flag}    Result Analysis Code    ${res}    false    ${1}
    Should Be True    ${flag}
    [Teardown]

Exception_002_查找设备型号所有字典项，Token值非空校验
    #查找设备型号所有字典项
    ${res}    findDeviceModelItemsAsyncPost    ${EMPTY}    0    ${EMPTY}
    #校验
    ${flag}    Result Analysis Code    ${res}    false    ${1}
    Should Be True    ${flag}
    [Teardown]
