*** Settings ***
Documentation     根据组织编码获取所属全部设备信息
Resource          ../../../CommonConfig/Config.robot
Resource          ../../../AllApi/ClientAPI/PersonalInformationApi/CommonLoginAsync.robot
Resource          ../../../AllApi/DeviceAPI/DevicceInfoApi/ConnectAsync.robot
Resource          ../../../AllApi/ClientAPI/DeviceInformationApi/BindDeviceAsync.robot
Resource          ../../../AllApi/ClientAPI/DeviceInformationApi/RemoveDeviceRelevancyAsync.robot
Resource          ../../../AllApi/DeviceAPI/DevicceInfoApi/GetDeviceByTokenAsync.robot
Resource          ../../../AllApi/ClientAPI/DeviceInformationApi/GetDeviceInfoAsync.robot
Resource          ../../../AllApi/ClientAPI/DeviceInformationApi/FindDevicesByOrganizationCodeAsync.robot

*** Test Cases ***
Class_001_根据组织编码获取所属全部设备信息
    #用户登录，获取用户Token
    ${token}    GetCommonLoginAsyncToken    ${user_mao}[0]    ${EMPTY}    ${user_mao}[1]    ${3}    ${0}
    #超声设备连接云服务，获取超声设备Token、UniqueCode
    ${res}    ConnectAsyncPost    BFEBFBFF000906EA-627629CA-B70D-418E-8238-5FA9E077D0F6    ${EMPTY}    USDemoV2    US    2.11.0    2.2.27.5    I5-8400    zh-CN    ${EMPTY}    ${EMPTY}    ${EMPTY}    ${EMPTY}    0    0    ${EMPTY}
    ${usToken}    Get From Dictionary    ${res}[content]    Token
    ${uniqueCode}    Get From Dictionary    ${res}[content]    UniqueCode
    #绑定设备至jo下级测试医院
    ${response}    BindDeviceAsyncPost    ${token}    ${EMPTY}    sono    ${EMPTY}    ${EMPTY}    ${organizationCode}    ${EMPTY}    ${uniqueCode}    false
    #获取设备DeviceCode
    ${deviceCode}    GetDeviceByTokenAsyncPost_DeviceCode    ${usToken}
    #根据组织编码获取所属全部设备信息
    ${res}    FindDevicesByOrganizationCodeAsyncPost    ${token}    ${organizationCode}
    #校验用户下是否有新绑定的设备
    @{list}    Get From Dictionary    ${res}    content
    ${shortCodes}    Create List
    FOR    ${value}    IN    @{list}
        log    ${value}
        ${shortCode}    Get From Dictionary    ${value}    ShortCode
        Append To List    ${shortCodes}    ${shortCode}
    END
    log    ${shortCodes}
    List Should Contain Value    ${shortCodes}    ${uniqueCode}
    [Teardown]    RemoveDeviceRelevancyAsyncPost    ${token}    ${organizationCode}    ${EMPTY}    ${deviceCode}

Exception_001_根据组织编码获取所属全部设备信息，Token值正确性校验
    #根据组织编码获取所属全部设备信息，传入错误的Token值
    ${res}    FindDevicesByOrganizationCodeAsyncPost    111111    ${organizationCode}
    Log    ${res}
    #校验
    ${flag}    Result Analysis Code    ${res}    false    ${1}
    Should Be True    ${flag}

Exception_002_根据组织编码获取所属全部设备信息，Token值非空校验
    #根据组织编码获取所属全部设备信息，不传入Token值
    ${res}    FindDevicesByOrganizationCodeAsyncPost    ${EMPTY}    ${organizationCode}
    Log    ${res}
    #校验
    ${flag}    Result Analysis Code    ${res}    false    ${1}
    Should Be True    ${flag}

Class_002_根据组织编码获取所属全部设备信息，传入不存在的OranizationCode值
    #用户登录，获取用户Token
    ${token}    GetCommonLoginAsyncToken    ${user_mao}[0]    ${EMPTY}    ${user_mao}[1]    ${3}    ${0}
    #根据组织编码获取所属全部设备信息，传入不存在的OrganizationCode值
    ${res}    FindDevicesByOrganizationCodeAsyncPost    ${token}    111111
    Log    ${res}
    #校验，result返回空
    ${content}    Get From Dictionary    ${res}    content
    Should Be Empty    ${content}

待修改Class_003根据组织编码获取所属全部设备信息，OranizationCode传入空值
    #用户登录，获取用户Token
    ${token}    GetCommonLoginAsyncToken    ${user_mao}[0]    ${EMPTY}    ${user_mao}[1]    ${3}    ${0}
    #根据组织编码获取所属全部设备信息，不传入OrganizationCode值
    ${res}    FindDevicesByOrganizationCodeAsyncPost    ${token}    ${EMPTY}
    Log    ${res}
    #校验
    @{list}    Get From Dictionary    ${res}    content
    ${organizationCodes}    Create List
    FOR    ${value}    IN    @{list}
        log    ${value}
        ${organizationCode}    Get From Dictionary    ${value}    OrganizationCode
        Append To List    ${organizationCodes}    ${organizationCode}
    END
    log    ${organizationCodes}
    List Should Contain Value    ${organizationCodes}    ${EMPTY}
