*** Settings ***
Documentation     根据设备code获取设备信息
Resource          ../../../AllApi/DeviceAPI/DevicceInfoApi/ConnectAsync.robot
Resource          ../../../AllApi/DeviceAPI/DevicceInfoApi/GetDeviceByTokenAsync.robot
Resource          ../../../AllApi/ClientAPI/DeviceInformationApi/GetDeviceInfoAsync.robot

*** Test Cases ***
Class_001_根据设备code获取设备信息
    #超声设备连接云服务，获取Token
    ${token}    GetConnectAsyncToken    BFEBFBFF000906EA-627629CA-B70D-418E-8238-5FA9E077D0F6    ${EMPTY}    USDemoV2    US    2.11.0    2.2.27.5    I5-8400    zh-CN    ${EMPTY}    ${EMPTY}    ${EMPTY}    ${EMPTY}    0    0    ${EMPTY}
    #查询当前设备信息，获取DeviceCode
    ${deviceCode}    GetDeviceByTokenAsyncPost_DeviceCode    ${token}
    #根据设备code获取设备信息
    ${res}    GetDeviceInfoAsyncPost    ${token}    ${deviceCode}
    Log    ${res}
    #获取响应返回DeviceCode
    ${content}    Get From Dictionary    ${res}    content
    ${devideCode1}    Get From Dictionary    ${content}    DeviceCode
    #校验
    Should Be Equal As Strings    ${deviceCode}    ${devideCode1}

Exception_001_根据设备code获取设备信息，Token正确性校验
    #根据设备code获取设备信息，传入错误的Token值
    ${res}    GetDeviceInfoAsyncPost    111111    ${EMPTY}
    Log    ${res}
    #校验
    ${flag}    Result Analysis Code    ${res}    false    ${1}
    Should Be True    ${flag}

Exception_002_根据设备code获取设备信息，Token值非空校验
    #根据设备code获取设备信息，Token传入空值
    ${res}    GetDeviceInfoAsyncPost    ${EMPTY}    ${EMPTY}
    Log    ${res}
    #校验
    ${flag}    Result Analysis Code    ${res}    false    ${1}
    Should Be True    ${flag}

Exception_003_根据设备code获取设备信息,DeviceCode正确性校验
    #超声设备连接云服务，获取Token
    ${token}    GetConnectAsyncToken    BFEBFBFF000906EA-627629CA-B70D-418E-8238-5FA9E077D0F6    ${EMPTY}    USDemoV2    US    2.11.0    2.2.27.5    I5-8400    zh-CN    ${EMPTY}    ${EMPTY}    ${EMPTY}    ${EMPTY}    0    0    ${EMPTY}
    #根据设备code获取设备信息，传入不存在的DeviceCode
    ${res}    GetDeviceInfoAsyncPost    ${token}    11111
    Log    ${res}
    #校验
    ${flag}    Result Analysis Code    ${res}    false    ${2000}
    Should Be True    ${flag}

Exception_004_根据设备code获取设备信息,DeviceCode值非空校验
    #超声设备连接云服务，获取Token
    ${token}    GetConnectAsyncToken    BFEBFBFF000906EA-627629CA-B70D-418E-8238-5FA9E077D0F6    ${EMPTY}    USDemoV2    US    2.11.0    2.2.27.5    I5-8400    zh-CN    ${EMPTY}    ${EMPTY}    ${EMPTY}    ${EMPTY}    0    0    ${EMPTY}
    #根据设备code获取设备信息，DeviceCode值传入空
    ${res}    GetDeviceInfoAsyncPost    ${token}    ${EMPTY}
    Log    ${res}
    #校验
    ${flag}    Result Analysis Code    ${res}    false    ${2012}
    Should Be True    ${flag}
