*** Settings ***
Documentation     客户端-查询上级机构列表
Suite Setup
Resource          ../../../CommonConfig/Config.robot
Resource          ../../../AllApi/ClientAPI/PersonalInformationApi/CommonLoginAsync.robot
Resource          ../../../AllApi/ClientAPI/OrganizationInformationApi/GetParentOrganizationListAsync.robot

*** Variables ***

*** Test Cases ***
Class_001_查询上级机构列表
    [Setup]
    [Template]
    #登录，获取用户Token
    ${token}    GetCommonLoginAsyncToken    ${user_mao}[0]    ${EMPTY}    ${user_mao}[1]    ${3}    ${0}
    #查询上级机构列表
    ${res}    GetParentOrganizationListAsyncPost    ${token}
    log    ${res}
    @{list}    Get From Dictionary    ${res}    content
    ${organizationCodes}    Create List
    FOR    ${value}    IN    @{list}
        ${organizationCode}    Get From Dictionary    ${value}    OrganizationCode
        Append To List    ${organizationCodes}    ${organizationCode}
    END
    #校验，返回的数据中不包含用户自己所在的医院
    log    @{organizationInfo_mao}
    List Should Not Contain Value    ${organizationCodes}    @{organizationInfo_mao}

Exception_001_Token非空校验
    [Template]
    #查询上级机构列表
    ${res}    GetParentOrganizationListAsyncPost    ${EMPTY}
    #返回error信息校验
    ${flag}    Result Analysis    ${res}    false    ${1}    Permission validation error
    Should Be True    ${flag}

Exception_002_Token正确性检验
    [Template]
    #查询上级机构列表
    ${res}    GetParentOrganizationListAsyncPost    11111
    #返回error信息校验
    ${flag}    Result Analysis    ${res}    false    ${1}    Permission validation error
    Should Be True    ${flag}

*** Keywords ***
