*** Settings ***
Documentation     客户端-修改头像和昵称
Suite Setup
Resource          ../../../CommonConfig/Config.robot
Resource          ../../../AllApi/ClientAPI/PersonalInformationApi/CommonSignUpAsync.robot
Resource          ../../../AllApi/ClientAPI/PersonalInformationApi/CommonLoginAsync.robot
Resource          ../../../AllApi/ClientAPI/PersonalInformationApi/AlterPersonInfoAsync.robot
Resource          ../../../AllApi/ClientAPI/PersonalInformationApi/GetUserInfoAsync.robot

*** Variables ***

*** Test Cases ***
Class_001_修改头像和昵称，修改昵称
    [Template]
    ${username}    Random Characters
    ${res}    CommonSignUpAsyncPost    ${username}    ${EMPTY}    ${pass1}
    Log    ${res}
    ${flag}    Result Analysis    ${res}    True    ${EMPTY}    ${EMPTY}
    Should Be True    ${flag}
    ${token}    GetCommonLoginAsyncToken    ${username}    ${EMPTY}    ${pass1}    ${3}    ${0}
    ${res1}    AlterPersonInfoAsyncPost    ${token}    ${nickname}[0]    ${EMPTY}
    ${flag}    Result Analysis    ${res1}    True    ${EMPTY}    ${EMPTY}
    Should Be True    ${flag}
    ${res2}    GetUserInfoAsyncPost    ${token}
    ${content}    Get From Dictionary    ${res2}    content
    ${nickName1}    Get From Dictionary    ${content}    NickName
    Should Be Equal As Strings    ${nickName1}    ${nickname}[0]

Class_002_修改头像和昵称，修改头像
    [Template]
    ${username}    Random Characters
    ${res}    CommonSignUpAsyncPost    ${username}    ${EMPTY}    ${pass1}
    Log    ${res}
    ${flag}    Result Analysis    ${res}    True    ${EMPTY}    ${EMPTY}
    Should Be True    ${flag}
    ${token}    GetCommonLoginAsyncToken    ${username}    ${EMPTY}    ${pass1}    ${3}    ${0}
    ${res1}    AlterPersonInfoAsyncPost    ${token}    ${EMPTY}    ${image}[0]
    ${flag}    Result Analysis    ${res1}    True    ${EMPTY}    ${EMPTY}
    Should Be True    ${flag}
    ${res2}    GetUserInfoAsyncPost    ${token}
    ${content}    Get From Dictionary    ${res2}    content
    ${headImageUrl}    Get From Dictionary    ${content}    HeadImageUrl
    #校验图片名称
    ${headImageUrls}    Split String    ${headImageUrl}    /
    Log    ${headImageUrls}
    ${headImageLen}    Get Length    ${headImageUrls}
    ${images}    Split String    ${image}[0]    /
    Log    ${images}
    ${imagesLen}    Get Length    ${images}
    Should Be Equal As Strings    ${headImageUrls}[${headImageLen-1}]    ${images}[${imagesLen-1}]

Class_003_修改头像和昵称
    [Template]
    ${username}    Random Characters
    ${res}    CommonSignUpAsyncPost    ${username}    ${EMPTY}    ${pass1}
    Log    ${res}
    ${flag}    Result Analysis    ${res}    True    ${EMPTY}    ${EMPTY}
    Should Be True    ${flag}
    ${token}    GetCommonLoginAsyncToken    ${username}    ${EMPTY}    ${pass1}    ${3}    ${0}
    ${res1}    AlterPersonInfoAsyncPost    ${token}    ${nickname}[1]    ${image}[1]
    ${flag}    Result Analysis    ${res1}    True    ${EMPTY}    ${EMPTY}
    Should Be True    ${flag}
    ${res2}    GetUserInfoAsyncPost    ${token}
    ${content}    Get From Dictionary    ${res2}    content
    ${nickName1}    Get From Dictionary    ${content}    NickName
    Should Be Equal As Strings    ${nickName1}    ${nickname}[1]
    ${headImageUrl}    Get From Dictionary    ${content}    HeadImageUrl
    #待校验
    #Should Be Equal As Strings    ${headImageUrl}    ${image}[1]

Exeption_003_清空头像和昵称，头像和昵称非空校验
    [Template]
    ${username}    Random Characters
    ${res}    CommonSignUpAsyncPost    ${username}    ${EMPTY}    ${pass1}
    Log    ${res}
    ${flag}    Result Analysis    ${res}    True    ${EMPTY}    ${EMPTY}
    Should Be True    ${flag}
    ${token}    GetCommonLoginAsyncToken    ${username}    ${EMPTY}    ${pass1}    ${3}    ${0}
    ${res1}    AlterPersonInfoAsyncPost    ${token}    ${EMPTY}    ${EMPTY}
    Log    ${res1}
    ${flag1}    Result Analysis    ${res1}    false    ${6015}    NickName and HeadImageUrl Empty error
    Should Be True    ${flag1}

Expection_001_修改头像和昵称，Token非空校验
    [Template]
    ${res}    AlterPersonInfoAsyncPost    ${EMPTY}    ${nickname}[0]    ${EMPTY}
    ${flag}    Result Analysis    ${res}    false    ${1}    Permission validation error
    Should Be True    ${flag}

Expection_002_修改头像和昵称，Token正确性校验
    [Template]
    ${res}    AlterPersonInfoAsyncPost    111asaa    ${nickname}[0]    ${EMPTY}
    ${flag}    Result Analysis    ${res}    false    ${1}    Permission validation error
    Should Be True    ${flag}

*** Keywords ***
