*** Settings ***
Documentation     客户端-修改用户信息
Suite Setup
Resource          ../../../CommonConfig/Config.robot
Resource          ../../../AllApi/ClientAPI/PersonalInformationApi/CommonSignUpAsync.robot
Resource          ../../../AllApi/ClientAPI/PersonalInformationApi/CommonLoginAsync.robot
Resource          ../../../AllApi/ClientAPI/PersonalInformationApi/AlterUserInfoAsync.robot
Resource          ../../../AllApi/ClientAPI/PersonalInformationApi/GetUserInfoAsync.robot

*** Variables ***

*** Test Cases ***
Class_001_修改用户信息，修改所属组织和姓名
    [Template]
    ${username}    Random Characters
    ${res}    CommonSignUpAsyncPost    ${username}    ${EMPTY}    ${pass1}
    Log    ${res}
    ${flag}    Result Analysis    ${res}    True    ${EMPTY}    ${EMPTY}
    Should Be True    ${flag}
    ${token}    GetCommonLoginAsyncToken    ${username}    ${EMPTY}    ${pass1}    ${3}    ${0}
    ${res1}    AlterUserInfoAsyncPost    ${token}    ${EMPTY}    ${EMPTY}    ${nickname}[0]    ${EMPTY}    ${EMPTY}    ${organizationCode}    ${EMPTY}
    ${flag}    Result Analysis    ${res1}    True    ${EMPTY}    ${EMPTY}
    Should Be True    ${flag}
    ${res2}    GetUserInfoAsyncPost    ${token}
    ${content}    Get From Dictionary    ${res2}    content
    ${nickName1}    Get From Dictionary    ${content}    NickName
    Should Be Equal As Strings    ${nickName1}    ${nickname}[0]
    ${organizationCode1}    Get From Dictionary    ${content}    OrganizationCode
    Should Be Equal As Strings    ${organizationCode1}    ${organizationCode}

Class_002_修改用户信息，修改手机号
    [Template]
    ${phone}    Set Variable    15522222222
    ${username}    Random Characters
    ${res}    CommonSignUpAsyncPost    ${username}    ${EMPTY}    ${pass1}
    Log    ${res}
    ${flag}    Result Analysis    ${res}    True    ${EMPTY}    ${EMPTY}
    Should Be True    ${flag}
    ${token}    GetCommonLoginAsyncToken    ${username}    ${EMPTY}    ${pass1}    ${3}    ${0}
    ${res1}    AlterUserInfoAsyncPost    ${token}    ${phone}    ${EMPTY}    ${EMPTY}    ${EMPTY}    ${EMPTY}    ${organizationCode}    ${EMPTY}
    ${flag}    Result Analysis    ${res1}    True    ${EMPTY}    ${EMPTY}
    Should Be True    ${flag}
    ${res2}    GetUserInfoAsyncPost    ${token}
    ${content}    Get From Dictionary    ${res2}    content
    ${phone1}    Get From Dictionary    ${content}    Phone
    Should Be Equal As Strings    ${phone1}    ${phone}
    ${res1}    AlterUserInfoAsyncPost    ${token}    ${EMPTY}    ${EMPTY}    ${EMPTY}    ${EMPTY}    ${EMPTY}    ${organizationCode}    ${EMPTY}

Class_003_修改用户信息，修改昵称
    [Template]
    ${username}    Random Characters
    ${res}    CommonSignUpAsyncPost    ${username}    ${EMPTY}    ${pass1}
    Log    ${res}
    ${flag}    Result Analysis    ${res}    True    ${EMPTY}    ${EMPTY}
    Should Be True    ${flag}
    ${token}    GetCommonLoginAsyncToken    ${username}    ${EMPTY}    ${pass1}    ${3}    ${0}
    ${res1}    AlterUserInfoAsyncPost    ${token}    ${EMPTY}    ${EMPTY}    ${nickname}[0]    ${EMPTY}    ${EMPTY}    ${EMPTY}    ${EMPTY}
    ${flag}    Result Analysis    ${res1}    True    ${EMPTY}    ${EMPTY}
    Should Be True    ${flag}
    ${res2}    GetUserInfoAsyncPost    ${token}
    ${content}    Get From Dictionary    ${res2}    content
    ${nickName1}    Get From Dictionary    ${content}    NickName
    Should Be Equal As Strings    ${nickName1}    ${nickname}[0]

Class_004_修改用户信息，修改邮箱
    [Template]
    ${email}    Set Variable    jo.xuexuexue@vinno.com
    ${username}    Random Characters
    ${res}    CommonSignUpAsyncPost    ${username}    ${EMPTY}    ${pass1}
    Log    ${res}
    ${flag}    Result Analysis    ${res}    True    ${EMPTY}    ${EMPTY}
    Should Be True    ${flag}
    ${token}    GetCommonLoginAsyncToken    ${username}    ${EMPTY}    ${pass1}    ${3}    ${0}
    ${res1}    AlterUserInfoAsyncPost    ${token}    ${EMPTY}    ${email}    ${EMPTY}    ${EMPTY}    ${EMPTY}    ${EMPTY}    ${EMPTY}
    ${flag}    Result Analysis    ${res1}    True    ${EMPTY}    ${EMPTY}
    Should Be True    ${flag}
    ${res2}    GetUserInfoAsyncPost    ${token}
    ${content}    Get From Dictionary    ${res2}    content
    ${email1}    Get From Dictionary    ${content}    Email
    Should Be Equal As Strings    ${email1}    ${email}
    ${res1}    AlterUserInfoAsyncPost    ${token}    ${EMPTY}    ${EMPTY}    ${EMPTY}    ${EMPTY}    ${EMPTY}    ${EMPTY}    ${EMPTY}

Class_005_修改用户信息，修改姓名
    [Template]
    ${fullName}    Set Variable    jo.xuexue
    ${username}    Random Characters
    ${res}    CommonSignUpAsyncPost    ${username}    ${EMPTY}    ${pass1}
    Log    ${res}
    ${flag}    Result Analysis    ${res}    True    ${EMPTY}    ${EMPTY}
    Should Be True    ${flag}
    ${token}    GetCommonLoginAsyncToken    ${username}    ${EMPTY}    ${pass1}    ${3}    ${0}
    ${res1}    AlterUserInfoAsyncPost    ${token}    ${EMPTY}    ${EMPTY}    ${EMPTY}    ${fullName}    ${EMPTY}    ${EMPTY}    ${EMPTY}
    ${flag}    Result Analysis    ${res1}    True    ${EMPTY}    ${EMPTY}
    Should Be True    ${flag}
    ${res2}    GetUserInfoAsyncPost    ${token}
    ${content}    Get From Dictionary    ${res2}    content
    ${fullName1}    Get From Dictionary    ${content}    FullName
    Should Be Equal As Strings    ${fullName1}    ${fullName}

Class_006_修改用户信息，修改头像
    [Template]
    ${username}    Random Characters
    ${res}    CommonSignUpAsyncPost    ${username}    ${EMPTY}    ${pass1}
    Log    ${res}
    ${flag}    Result Analysis    ${res}    True    ${EMPTY}    ${EMPTY}
    Should Be True    ${flag}
    ${token}    GetCommonLoginAsyncToken    ${username}    ${EMPTY}    ${pass1}    ${3}    ${0}
    ${res1}    AlterUserInfoAsyncPost    ${token}    ${EMPTY}    ${EMPTY}    ${EMPTY}    ${EMPTY}    ${image}[0]    ${EMPTY}    ${EMPTY}
    ${flag}    Result Analysis    ${res1}    True    ${EMPTY}    ${EMPTY}
    Should Be True    ${flag}
    ${res2}    GetUserInfoAsyncPost    ${token}
    ${content}    Get From Dictionary    ${res2}    content
    ${headImageUrl}    Get From Dictionary    ${content}    HeadImageUrl
    #校验图片名称
    ${headImageUrls}    Split String    ${headImageUrl}    /
    Log    ${headImageUrls}
    ${headImageLen}    Get Length    ${headImageUrls}
    ${images}    Split String    ${image}[0]    /
    Log    ${images}
    ${imagesLen}    Get Length    ${images}
    Should Be Equal As Strings    ${headImageUrls}[${headImageLen-1}]    ${images}[${imagesLen-1}]

Class_007_修改用户信息，修改所属组织
    [Template]
    ${username}    Random Characters
    ${res}    CommonSignUpAsyncPost    ${username}    ${EMPTY}    ${pass1}
    Log    ${res}
    ${flag}    Result Analysis    ${res}    True    ${EMPTY}    ${EMPTY}
    Should Be True    ${flag}
    ${token}    GetCommonLoginAsyncToken    ${username}    ${EMPTY}    ${pass1}    ${3}    ${0}
    ${res1}    AlterUserInfoAsyncPost    ${token}    ${EMPTY}    ${EMPTY}    ${EMPTY}    ${EMPTY}    ${EMPTY}    ${organizationCode}    ${EMPTY}
    ${flag}    Result Analysis    ${res1}    True    ${EMPTY}    ${EMPTY}
    Should Be True    ${flag}
    ${res2}    GetUserInfoAsyncPost    ${token}
    ${content}    Get From Dictionary    ${res2}    content
    ${organizationCode1}    Get From Dictionary    ${content}    OrganizationCode
    Should Be Equal As Strings    ${organizationCode1}    ${organizationCode}

Exception_001_修改用户信息，Token非空校验
    [Template]
    ${res}    AlterUserInfoAsyncPost    ${EMPTY}    ${EMPTY}    ${EMPTY}    ${EMPTY}    ${EMPTY}    ${EMPTY}    ${EMPTY}    ${EMPTY}
    ${flag}    Result Analysis    ${res}    false    ${1}    Permission validation error
    Should Be True    ${flag}

Exception_002_修改用户信息，Token正确性校验
    [Template]
    ${res}    AlterUserInfoAsyncPost    aaa111    ${EMPTY}    ${EMPTY}    ${EMPTY}    ${EMPTY}    ${EMPTY}    ${EMPTY}    ${EMPTY}
    ${flag}    Result Analysis    ${res}    false    ${1}    Permission validation error
    Should Be True    ${flag}

*** Keywords ***
