*** Settings ***
Documentation     客户端-申请认证角色
Resource          ../../../CommonConfig/Config.robot
Resource          ../../../AllApi/ClientAPI/PersonalInformationApi/CommonSignUpAsync.robot
Resource          ../../../AllApi/ClientAPI/PersonalInformationApi/CommonLoginAsync.robot
Resource          ../../../AllApi/ClientAPI/PersonalInformationApi/ApplyForAsync.robot

*** Variables ***

*** Test Cases ***
Class_001_申请认证角色，认证专家
    [Setup]
    [Template]
    ${username}    Random Characters
    ${res}    CommonSignUpAsyncPost    ${username}    ${EMPTY}    ${pass1}
    Log    ${res}
    ${flag}    Result Analysis    ${res}    True    ${EMPTY}    ${EMPTY}
    Should Be True    ${flag}
    ${token}    GetCommonLoginAsyncToken    ${username}    ${EMPTY}    ${pass1}    ${3}    ${0}
    ${res1}    ApplyForAsyncPost    ${token}    ${EMPTY}    ${authenticationRole}[3]    ${image}[0],${image}[1]    ${image}[2]    测试
    ${flag}    Result Analysis    ${res1}    True    ${EMPTY}    ${EMPTY}
    Should Be True    ${flag}

Class_002_申请认证角色，认证医师
    [Setup]
    [Template]
    ${username}    Random Characters
    ${res}    CommonSignUpAsyncPost    ${username}    ${EMPTY}    ${pass1}
    Log    ${res}
    ${flag}    Result Analysis    ${res}    True    ${EMPTY}    ${EMPTY}
    Should Be True    ${flag}
    ${token}    GetCommonLoginAsyncToken    ${username}    ${EMPTY}    ${pass1}    ${3}    ${0}
    ${res1}    ApplyForAsyncPost    ${token}    ${EMPTY}    ${authenticationRole}[2]    ${image}[0],${image}[1]    ${image}[2]    测试
    ${flag}    Result Analysis    ${res1}    True    ${EMPTY}    ${EMPTY}
    Should Be True    ${flag}

Class_003_申请认证角色，专家助理
    [Setup]
    [Template]
    ${username}    Random Characters
    ${res}    CommonSignUpAsyncPost    ${username}    ${EMPTY}    ${pass1}
    Log    ${res}
    ${flag}    Result Analysis    ${res}    True    ${EMPTY}    ${EMPTY}
    Should Be True    ${flag}
    ${token}    GetCommonLoginAsyncToken    ${username}    ${EMPTY}    ${pass1}    ${3}    ${0}
    ${res1}    ApplyForAsyncPost    ${token}    ${EMPTY}    ${authenticationRole}[1]    ${image}[0],${image}[1]    ${EMPTY}    测试
    ${flag}    Result Analysis    ${res1}    True    ${EMPTY}    ${EMPTY}
    Should Be True    ${flag}

Class_004_申请认证角色，实习医生
    [Setup]
    [Template]
    ${username}    Random Characters
    ${res}    CommonSignUpAsyncPost    ${username}    ${EMPTY}    ${pass1}
    Log    ${res}
    ${flag}    Result Analysis    ${res}    True    ${EMPTY}    ${EMPTY}
    Should Be True    ${flag}
    ${token}    GetCommonLoginAsyncToken    ${username}    ${EMPTY}    ${pass1}    ${3}    ${0}
    ${res1}    ApplyForAsyncPost    ${token}    ${EMPTY}    ${authenticationRole}[0]    ${image}[0],${image}[1]    ${EMPTY}    ${EMPTY}
    ${flag}    Result Analysis    ${res1}    True    ${EMPTY}    ${EMPTY}
    Should Be True    ${flag}

Exception_001_申请认证角色，Token非空校验
    [Setup]
    [Template]
    ${res}    ApplyForAsyncPost    ${EMPTY}    ${EMPTY}    ${authenticationRole}[3]    ${image}[0],${image}[1]    ${image}[2]    测试
    ${flag}    Result Analysis    ${res}    false    ${1}    Permission validation error
    Should Be True    ${flag}

Exception_002_申请认证角色，Token正确性校验
    [Setup]
    [Template]
    ${res}    ApplyForAsyncPost    111111aaa    ${EMPTY}    ${authenticationRole}[3]    ${image}[0],${image}[1]    ${image}[2]    测试
    ${flag}    Result Analysis    ${res}    false    ${1}    Permission validation error
    Should Be True    ${flag}

Exception_003_申请认证角色，申请角色编码不填写
    [Setup]
    [Template]
    ${username}    Random Characters
    ${res}    CommonSignUpAsyncPost    ${username}    ${EMPTY}    ${pass1}
    Log    ${res}
    ${flag}    Result Analysis    ${res}    True    ${EMPTY}    ${EMPTY}
    Should Be True    ${flag}
    ${token}    GetCommonLoginAsyncToken    ${username}    ${EMPTY}    ${pass1}    ${3}    ${0}
    ${res1}    ApplyForAsyncPost    ${token}    ${EMPTY}    ${EMPTY}    ${image}[0],${image}[1]    ${image}[2]    测试
    ${flag}    Result Analysis    ${res1}    false    ${6016}    Role not exist
    Should Be True    ${flag}

Exception_004_申请认证角色，申请角色编码不存在
    [Setup]
    [Template]
    ${username}    Random Characters
    ${res}    CommonSignUpAsyncPost    ${username}    ${EMPTY}    ${pass1}
    Log    ${res}
    ${flag}    Result Analysis    ${res}    True    ${EMPTY}    ${EMPTY}
    Should Be True    ${flag}
    ${token}    GetCommonLoginAsyncToken    ${username}    ${EMPTY}    ${pass1}    ${3}    ${0}
    ${res1}    ApplyForAsyncPost    ${token}    ${EMPTY}    111aaa    ${image}[0],${image}[1]    ${image}[2]    测试
    ${flag}    Result Analysis    ${res1}    false    ${6016}    Role not exist
    Should Be True    ${flag}

Exception_005_申请认证角色，未上传身份证
    [Setup]
    [Template]
    ${username}    Random Characters
    ${res}    CommonSignUpAsyncPost    ${username}    ${EMPTY}    ${pass1}
    Log    ${res}
    ${flag}    Result Analysis    ${res}    True    ${EMPTY}    ${EMPTY}
    Should Be True    ${flag}
    ${token}    GetCommonLoginAsyncToken    ${username}    ${EMPTY}    ${pass1}    ${3}    ${0}
    ${res1}    ApplyForAsyncPost    ${token}    ${EMPTY}    ${authenticationRole}[0]    ${EMPTY}    ${EMPTY}    测试
    ${flag}    Result Analysis    ${res1}    false    ${6011}    this identity card is required
    Should Be True    ${flag}

Exception_006_申请认证角色，未上传执照
    [Setup]
    [Template]
    ${username}    Random Characters
    ${res}    CommonSignUpAsyncPost    ${username}    ${EMPTY}    ${pass1}
    Log    ${res}
    ${flag}    Result Analysis    ${res}    True    ${EMPTY}    ${EMPTY}
    Should Be True    ${flag}
    ${token}    GetCommonLoginAsyncToken    ${username}    ${EMPTY}    ${pass1}    ${3}    ${0}
    ${res1}    ApplyForAsyncPost    ${token}    ${EMPTY}    ${authenticationRole}[3]    ${image}[0],${image}[1]    ${EMPTY}    测试
    ${flag}    Result Analysis    ${res1}    false    ${6012}    this license card \ is required
    Should Be True    ${flag}

*** Keywords ***
