*** Settings ***
Resource          ../../../AllApi/ClientAPI/PersonalInformationApi/CommonLoginAsync.robot
Resource          ../../../AllApi/ClientAPI/PersonalInformationApi/FindDefaultRolesAsync.robot
Resource          ../../../CommonConfig/Config.robot

*** Variables ***

*** Test Cases ***
Class_001_获取所有中文地区码的普通角色
    [Setup]
    [Template]
    ${token}    GetCommonLoginAsyncToken    ${user_mao}[0]    ${EMPTY}    ${user_mao}[1]    ${3}    ${0}
    Log    ${token}
    ${res}    FindDefaultRolesAsyncPost    ${token}    ${EMPTY}    zh-CN
    Log    ${res}
    ${flag}    Authentication Roles Check    ${res}[content]    zh-CN
    Should Be True    ${flag}

Class_002_获取所有英文地区码的普通角色
    [Setup]
    [Template]
    ${token}    GetCommonLoginAsyncToken    ${user_mao}[0]    ${EMPTY}    ${user_mao}[1]    ${3}    ${0}
    Log    ${token}
    ${res}    FindDefaultRolesAsyncPost    ${token}    ${EMPTY}    en-US
    Log    ${res}
    ${flag}    Authentication Roles Check    ${res}[content]    en-US
    Should Be True    ${flag}

Class_003_获取特定组织下的所有普通角色，返回为空
    [Setup]
    [Template]
    ${token}    GetCommonLoginAsyncToken    mao    ${EMPTY}    bd82f500df3f398f2e50464b79786034    ${3}    ${0}
    Log    ${token}
    ${res}    FindDefaultRolesAsyncPost    ${token}    7C768C0426F74A1CB7848DB3A99FE740    zh-CN
    Log    ${res}
    ${content}    Get From Dictionary    ${res}    content
    Should Be Empty    ${content}

Class_004_获取所有普通角色，输入非指定语言地区码
    [Setup]
    [Template]
    ${token}    GetCommonLoginAsyncToken    mao    ${EMPTY}    bd82f500df3f398f2e50464b79786034    ${3}    ${0}
    Log    ${token}
    ${res}    FindDefaultRolesAsyncPost    ${token}    ${EMPTY}    zh-CN;en-US
    Log    ${res}
    ${flag}    Authentication Roles Check    ${res}[content]    zh-CN;en-US
    Should Be True    ${flag}

Class_005_获取所有普通角色，语言地区码传入空值
    [Setup]
    [Template]
    ${token}    GetCommonLoginAsyncToken    mao    ${EMPTY}    bd82f500df3f398f2e50464b79786034    ${3}    ${0}
    Log    ${token}
    ${res}    FindDefaultRolesAsyncPost    ${token}    ${EMPTY}    ${EMPTY}
    Log    ${res}
    ${flag}    Authentication Roles Check    ${res}[content]    ${EMPTY}
    Should Be True    ${flag}

Exception_001_获取所有普通角色，Token非空校验
    [Setup]
    [Template]
    ${res}    FindDefaultRolesAsyncPost    ${EMPTY}    ${EMPTY}    zh-CN
    Log    ${res}
    ${flag}    Result Analysis    ${res}    false    ${1}    Permission validation error
    Should Be True    ${flag}

Exception_002_获取所有普通角色，Token正确性校验
    [Setup]
    [Template]
    ${res}    FindDefaultRolesAsyncPost    11111111111    ${EMPTY}    zh-CN
    Log    ${res}
    ${flag}    Result Analysis    ${res}    false    ${1}    Permission validation error
    Should Be True    ${flag}

*** Keywords ***
