*** Settings ***
Documentation     客户端-获取最新认证角色申请状态信息
Suite Setup
Resource          ../../../CommonConfig/Config.robot
Resource          ../../../AllApi/ClientAPI/PersonalInformationApi/CommonLoginAsync.robot
Resource          ../../../AllApi/ClientAPI/PersonalInformationApi/GetLastIdentityApplyAsync.robot

*** Variables ***

*** Test Cases ***
Class_001_获取最新认证角色申请状态信息
    [Template]
    ${token}    GetCommonLoginAsyncToken    ${user_jo0221}[0]    ${EMPTY}    ${user_jo0221}[1]    ${3}    ${0}
    Log    ${token}
    ${res}    GetLastIdentityApplyAsyncPost    ${token}    ${EMPTY}
    ${content}    Get From Dictionary    ${res}    content
    Log    ${content}
    ${applyRoleCode}    Get From Dictionary    ${content}    ApplyRoleCode
    Should Not Be Empty    ${applyRoleCode}

Class_002_获取最新认证角色申请状态信息，查询特定申请角色
    [Template]
    ${token}    GetCommonLoginAsyncToken    ${user_jo0221}[0]    ${EMPTY}    ${user_jo0221}[1]    ${3}    ${0}
    Log    ${token}
    ${res}    GetLastIdentityApplyAsyncPost    ${token}    ${authenticationRole}[0]
    ${content}    Get From Dictionary    ${res}    content
    Log    ${content}
    ${applyRoleCode}    Get From Dictionary    ${content}    ApplyRoleCode
    Should Be Equal As Strings    ${applyRoleCode}    ${authenticationRole}[0]

Exception_001_获取最新认证角色申请状态信息，Token非空校验
    [Template]
    ${res}    GetLastIdentityApplyAsyncPost    ${EMPTY}    ${EMPTY}
    ${flag}    Result Analysis    ${res}    false    ${1}    Permission validation error
    Should Be True    ${flag}

Exception_002_获取最新认证角色申请状态信息，Token正确性检验
    [Template]
    ${res}    GetLastIdentityApplyAsyncPost    1111aaaaa    ${EMPTY}
    ${flag}    Result Analysis    ${res}    false    ${1}    Permission validation error
    Should Be True    ${flag}

*** Keywords ***
