*** Settings ***
Resource          ../../../AllApi/ClientAPI/PersonalInformationApi/GetRegionsAsync.robot

*** Variables ***

*** Test Cases ***
Class_001_获取英文语言地区信息
    [Template]
    ${result}    GetRegionsAsyncPost    0.1    en-US
    ${content}    Get From Dictionary    ${result}    content
    ${languageType}    Get From Dictionary    ${content}    LanguageType
    Should Be Equal As Strings    ${languageType}    en-US

Class_002_获取中文语言地区信息
    [Template]
    ${result}    GetRegionsAsyncPost    0.1    zh-CN
    ${content}    Get From Dictionary    ${result}    content
    ${languageType}    Get From Dictionary    ${content}    LanguageType
    Should Be Equal As Strings    ${languageType}    zh-CN

Exception_001_版本等于当前最新版本时，获取地区信息
    [Template]
    ${result}    GetRegionsAsyncPost    1.0    zh-CN
    ${flag}    Result Analysis    ${result}    false    ${6041}    This is the latest version
    Should Be True    ${flag}

Exception_002_版本大于当前最新版本时，获取地区信息
    [Template]
    ${result}    GetRegionsAsyncPost    9.9    en-US
    ${flag}    Result Analysis    ${result}    false    ${6041}    This is the latest version
    Should Be True    ${flag}

Exception_003_获取地区信息，Version非空校验
    [Template]
    ${result}    GetRegionsAsyncPost    ${EMPTY}    en-US
    ${flag}    Result Analysis    ${result}    false    ${6039}    Not real version
    Should Be True    ${flag}

Exception_004_获取地区信息，Version非指定格式
    [Template]
    ${result}    GetRegionsAsyncPost    aaa    en-US
    ${flag}    Result Analysis    ${result}    false    ${6039}    Not real version
    Should Be True    ${flag}

Exception_005_获取国家地区信息，LanguageType非空校验
    [Template]
    ${result}    GetRegionsAsyncPost    0.1    ${EMPTY}
    ${flag}    Result Analysis    ${result}    false    ${6040}    Can't find region data by lang code
    Should Be True    ${flag}

Exception_006_获取国家地区信息，LanguageType非指定格式
    [Template]
    ${result}    GetRegionsAsyncPost    0.1    111
    ${flag}    Result Analysis    ${result}    false    ${6040}    Can't find region data by lang code
    Should Be True    ${flag}

*** Keywords ***
