*** Settings ***
Documentation     客户端-根据角色编码获取认证角色信息
Suite Setup
Resource          ../../../CommonConfig/Config.robot
Resource          ../../../AllApi/ClientAPI/PersonalInformationApi/CommonLoginAsync.robot
Resource          ../../../AllApi/ClientAPI/PersonalInformationApi/GetRoleByCodeAsync.robot

*** Variables ***

*** Test Cases ***
Class_001_获取角色信息，认证专家
    [Template]
    ${token}    GetCommonLoginAsyncToken    ${user_mao}[0]    ${EMPTY}    ${user_mao}[1]    ${3}    ${0}
    Log    ${token}
    ${res}    GetRoleByCodeAsyncPost    ${token}    ${authenticationRole}[3]    ${languageCode}[0]
    ${content}    Get From Dictionary    ${res}    content
    ${roleCode}    Get From Dictionary    ${content}    RoleCode
    Should Be Equal As Strings    ${roleCode}    ${authenticationRole}[3]
    ${flag}    Authentication Roles Check    ${res}[content]    ${languageCode}[0]

Class_002_获取角色信息，认证医师
    [Template]
    ${token}    GetCommonLoginAsyncToken    ${user_mao}[0]    ${EMPTY}    ${user_mao}[1]    ${3}    ${0}
    Log    ${token}
    ${res}    GetRoleByCodeAsyncPost    ${token}    ${authenticationRole}[2]    ${languageCode}[0]
    ${content}    Get From Dictionary    ${res}    content
    ${roleCode}    Get From Dictionary    ${content}    RoleCode
    Should Be Equal As Strings    ${roleCode}    ${authenticationRole}[2]
    ${flag}    Authentication Roles Check    ${res}[content]    ${languageCode}[0]

Class_003_获取角色信息，专家助理
    [Template]
    ${token}    GetCommonLoginAsyncToken    ${user_mao}[0]    ${EMPTY}    ${user_mao}[1]    ${3}    ${0}
    Log    ${token}
    ${res}    GetRoleByCodeAsyncPost    ${token}    ${authenticationRole}[1]    ${languageCode}[0]
    ${content}    Get From Dictionary    ${res}    content
    ${roleCode}    Get From Dictionary    ${content}    RoleCode
    Should Be Equal As Strings    ${roleCode}    ${authenticationRole}[1]
    ${flag}    Authentication Roles Check    ${res}[content]    ${languageCode}[0]

Class_004_获取角色信息，实习医生
    [Template]
    ${token}    GetCommonLoginAsyncToken    ${user_mao}[0]    ${EMPTY}    ${user_mao}[1]    ${3}    ${0}
    Log    ${token}
    ${res}    GetRoleByCodeAsyncPost    ${token}    ${authenticationRole}[0]    ${languageCode}[0]
    ${content}    Get From Dictionary    ${res}    content
    ${roleCode}    Get From Dictionary    ${content}    RoleCode
    Should Be Equal As Strings    ${roleCode}    ${authenticationRole}[0]
    ${flag}    Authentication Roles Check    ${res}[content]    ${languageCode}[0]

Class_005_获取角色信息，Language为空
    [Template]
    ${token}    GetCommonLoginAsyncToken    ${user_mao}[0]    ${EMPTY}    ${user_mao}[1]    ${3}    ${0}
    Log    ${token}
    ${res}    GetRoleByCodeAsyncPost    ${token}    ${authenticationRole}[0]    ${EMPTY}
    ${content}    Get From Dictionary    ${res}    content
    ${roleCode}    Get From Dictionary    ${content}    RoleCode
    ${roleName}    Get From Dictionary    ${content}    RoleName
    Should Be Equal As Strings    ${roleCode}    ${authenticationRole}[0]
    Should Be Empty    ${roleName}

Class_006_获取角色信息，Language为非特定值en-US/zh-CN
    [Template]
    ${token}    GetCommonLoginAsyncToken    ${user_mao}[0]    ${EMPTY}    ${user_mao}[1]    ${3}    ${0}
    Log    ${token}
    ${res}    GetRoleByCodeAsyncPost    ${token}    ${authenticationRole}[0]    en-US;zh-CN
    ${content}    Get From Dictionary    ${res}    content
    ${roleCode}    Get From Dictionary    ${content}    RoleCode
    ${roleName}    Get From Dictionary    ${content}    RoleName
    Should Be Equal As Strings    ${roleCode}    ${authenticationRole}[0]
    Should Be Empty    ${roleName}

Class_007_获取角色信息，英文语言认证专家
    [Template]
    ${token}    GetCommonLoginAsyncToken    ${user_mao}[0]    ${EMPTY}    ${user_mao}[1]    ${3}    ${0}
    Log    ${token}
    ${res}    GetRoleByCodeAsyncPost    ${token}    ${authenticationRole}[3]    ${languageCode}[1]
    ${content}    Get From Dictionary    ${res}    content
    ${roleCode}    Get From Dictionary    ${content}    RoleCode
    Should Be Equal As Strings    ${roleCode}    ${authenticationRole}[3]
    ${flag}    Authentication Roles Check    ${res}[content]    ${languageCode}[1]

Class_008_获取角色信息，英文语言认证医师
    [Template]
    ${token}    GetCommonLoginAsyncToken    ${user_mao}[0]    ${EMPTY}    ${user_mao}[1]    ${3}    ${0}
    Log    ${token}
    ${res}    GetRoleByCodeAsyncPost    ${token}    ${authenticationRole}[2]    ${languageCode}[1]
    ${content}    Get From Dictionary    ${res}    content
    ${roleCode}    Get From Dictionary    ${content}    RoleCode
    Should Be Equal As Strings    ${roleCode}    ${authenticationRole}[2]
    ${flag}    Authentication Roles Check    ${res}[content]    ${languageCode}[1]

Class_009_获取角色信息，英文语言专家助理
    [Template]
    ${token}    GetCommonLoginAsyncToken    ${user_mao}[0]    ${EMPTY}    ${user_mao}[1]    ${3}    ${0}
    Log    ${token}
    ${res}    GetRoleByCodeAsyncPost    ${token}    ${authenticationRole}[1]    ${languageCode}[1]
    ${content}    Get From Dictionary    ${res}    content
    ${roleCode}    Get From Dictionary    ${content}    RoleCode
    Should Be Equal As Strings    ${roleCode}    ${authenticationRole}[1]
    ${flag}    Authentication Roles Check    ${res}[content]    ${languageCode}[1]

Class_010_获取角色信息，英文语言实习医生
    [Template]
    ${token}    GetCommonLoginAsyncToken    ${user_mao}[0]    ${EMPTY}    ${user_mao}[1]    ${3}    ${0}
    Log    ${token}
    ${res}    GetRoleByCodeAsyncPost    ${token}    ${authenticationRole}[0]    ${languageCode}[1]
    ${content}    Get From Dictionary    ${res}    content
    ${roleCode}    Get From Dictionary    ${content}    RoleCode
    Should Be Equal As Strings    ${roleCode}    ${authenticationRole}[0]
    ${flag}    Authentication Roles Check    ${res}[content]    ${languageCode}[1]

Exception_001_获取角色信息，Token非空校验
    [Template]
    ${res}    GetRoleByCodeAsyncPost    ${EMPTY}    ${authenticationRole}[3]    zn-CN
    ${flag}    Result Analysis    ${res}    false    ${1}    Permission validation error
    Should Be True    ${flag}

Exception_002_获取角色信息，Token正确性校验
    [Template]
    ${res}    GetRoleByCodeAsyncPost    1111AAAAA    ${authenticationRole}[3]    zn-CN
    ${flag}    Result Analysis    ${res}    false    ${1}    Permission validation error
    Should Be True    ${flag}

Exception_003_获取角色信息，填写不正确的认证角色编码
    [Template]
    ${token}    GetCommonLoginAsyncToken    ${user_mao}[0]    ${EMPTY}    ${user_mao}[1]    ${3}    ${0}
    Log    ${token}
    ${res}    GetRoleByCodeAsyncPost    ${token}    AAAABBBB    zn-CN
    ${flag}    Result Analysis    ${res}    false    ${6016}    RoleNoExist
    Should Be True    ${flag}

Exception_004_获取角色信息，不填写角色编码
    [Template]
    ${token}    GetCommonLoginAsyncToken    ${user_mao}[0]    ${EMPTY}    ${user_mao}[1]    ${3}    ${0}
    Log    ${token}
    ${res}    GetRoleByCodeAsyncPost    ${token}    ${EMPTY}    zn-CN
    #${flag}    Result Analysis    ${res}    false    ${3011}    RoleCodesIsEmpty
    ${flag}    Result Analysis    ${res}    false    ${3011}    RoleCodesIsEmpty
    Should Be True    ${flag}

*** Keywords ***
