*** Settings ***
Documentation     客户端-获取该设备关联的用户列表
Suite Setup
Resource          ../../../AllApi/ClientAPI/PersonalInformationApi/CommonLoginAsync.robot
Resource          ../../../AllApi/ClientAPI/PersonalInformationApi/GetShareDeviceUsersAsync.robot
Resource          ../../../CommonConfig/Config.robot

*** Variables ***

*** Test Cases ***
Class_001_获取设备关联的用户列表,该设备已关联用户
    [Template]
    #登录，获取用户Token
    ${token}    GetCommonLoginAsyncToken    ${user_mao}[0]    ${EMPTY}    ${user_mao}[1]    ${3}    ${0}
    Log    ${token}
    #设备已关联用户，获取关联用户列表
    ${res}    GetShareDeviceUsersAsyncPost    ${token}    1    10    ${deviceCode_jopc}
    Log    ${res}
    ${content}    Get From Dictionary    ${res}    content
    #校验
    Should Not Be Empty    ${content}

Class_002_获取设备关联的用户列表,该设备未关联用户
    [Template]
    #登录，获取用户Token
    ${token}    GetCommonLoginAsyncToken    ${user_mao}[0]    ${EMPTY}    ${user_mao}[1]    ${3}    ${0}
    Log    ${token}
    #设备未关联用户，获取关联用户列表
    ${res}    GetShareDeviceUsersAsyncPost    ${token}    1    10    ${deviceCode_109}
    Log    ${res}
    ${content}    Get From Dictionary    ${res}    content
    ${totalCount}    Get From Dictionary    ${content}    TotalCount
    #校验
    Should Be Equal As Integers    ${totalCount}    0

Class_003_获取设备关联的用户列表,输入指定的PageIndex
    [Template]
    #登录，获取用户Token
    ${token}    GetCommonLoginAsyncToken    ${user_mao}[0]    ${EMPTY}    ${user_mao}[1]    ${3}    ${0}
    Log    ${token}
    #设备已关联用户，获取关联用户列表
    ${res}    GetShareDeviceUsersAsyncPost    ${token}    2    1    ${deviceCode_jopc}
    Log    ${res}
    ${content}    Get From Dictionary    ${res}    content
    ${pageIndex}    Get From Dictionary    ${content}    PageIndex
    #校验
    Should Be Equal As Integers    ${pageIndex}    2

Class_004_获取设备关联的用户列表,输入指定的PageSize
    [Template]
    #登录，获取用户Token
    ${token}    GetCommonLoginAsyncToken    ${user_mao}[0]    ${EMPTY}    ${user_mao}[1]    ${3}    ${0}
    Log    ${token}
    #设备已关联用户，获取关联用户列表
    ${res}    GetShareDeviceUsersAsyncPost    ${token}    1    2    ${deviceCode_jopc}
    Log    ${res}
    ${content}    Get From Dictionary    ${res}    content
    ${pageSize}    Get From Dictionary    ${content}    PageSize
    #校验
    Should Be Equal As Integers    ${pageSize}    2

Exception_001_获取设备关联的用户列表,Token非空校验
    [Template]
    ${res}    GetShareDeviceUsersAsyncPost    ${EMPTY}    1    10    ${deviceCode_jopc}
    Log    ${res}
    ${flag}    Result Analysis    ${res}    false    ${1}    Permission validation error
    Should Be True    ${flag}

Exception_002_获取设备关联的用户列表,Token正确性校验
    [Template]
    ${res}    GetShareDeviceUsersAsyncPost    AAA111aaaa    1    10    ${deviceCode_jopc}
    Log    ${res}
    ${flag}    Result Analysis    ${res}    false    ${1}    Permission validation error
    Should Be True    ${flag}

Exception_003_获取设备关联的用户列表,DeviceCode非空校验
    [Template]
    #登录，获取用户Token
    ${token}    GetCommonLoginAsyncToken    ${user_mao}[0]    ${EMPTY}    ${user_mao}[1]    ${3}    ${0}
    Log    ${token}
    #设备已关联用户，获取关联用户列表
    ${res}    GetShareDeviceUsersAsyncPost    ${token}    1    10    ${EMPTY}
    Log    ${res}
    ${flag}    Result Analysis    ${res}    false    ${2005}    Required parameter:DeviceCode cannot be empty
    Should Be True    ${flag}

Exception_004_获取设备关联的用户列表,DeviceCode不存在
    [Template]
    #登录，获取用户Token
    ${token}    GetCommonLoginAsyncToken    ${user_mao}[0]    ${EMPTY}    ${user_mao}[1]    ${3}    ${0}
    Log    ${token}
    #设备已关联用户，获取关联用户列表
    ${res}    GetShareDeviceUsersAsyncPost    ${token}    1    10    123456
    Log    ${res}
    ${flag}    Result Analysis    ${res}    false    ${2000}    Device does not exist
    Should Be True    ${flag}

*** Keywords ***
