*** Settings ***
Documentation     客户端-根据组织、岗位身份、职称查询用户列表信息
Suite Setup       get_login_token    ${URL}    jo22
Default Tags      inexecution
Library           Collections
Library           HttpLibrary.HTTP
Library           RequestsLibrary

*** Variables ***
${uri}            /IUserService
${method}         GetUserListAsync

*** Test Cases ***
Class_001_根据组织和岗位身份查询用户列表信息，未分配组织架构
    [Template]    getUserList_assertClass
    ${token}    0    ${EMPTY}    2    Organization_20220402033059L0189V    ${EMPTY}    ${EMPTY}

*** Keywords ***
getUserList_Post
    [Arguments]    ${token}    ${queryType}    ${keyword}    ${organizationQueryType}    ${organizationCode}    ${rankCode}    ${positionCode}
    ${params}    Create List
    ${param}    Create Dictionary
    Set To Dictionary    ${param}    Token    ${token}
    Set To Dictionary    ${param}    QueryType    ${queryType}
    Set To Dictionary    ${param}    Keyword    ${keyword}
    Set To Dictionary    ${param}    OrganizationQueryType    ${organizationQueryType}
    Set To Dictionary    ${param}    OrganizationCode    ${organizationCode}
    Set To Dictionary    ${param}    RankCode    ${rankCode}
    Set To Dictionary    ${param}    PositionCode    ${positionCode}
    Append To List    ${params}    ${param}
    ${data}    common_data    ${method}    ${params}
    Log    ${data}
    Log    ---开始断言验证---
    ${response}    request_post    ${URL}    ${uri}    ${data}
    Log    ${response}
    log    ${response.content}
    ${content}    Set Variable    ${response.content}
    Log    ---输出返回内容---：
    Log Json    ${content}    INFO
    Log    ---开始断言验证---
    Should Be True    ${response.status_code}==200
    [Return]    ${response}

getUserList_assertClass
    [Arguments]    ${token}    ${queryType}    ${keyword}    ${organizationQueryType}    ${organizationCode}    ${rankCode}    ${positionCode}
    ${content}    getUserList_Post    ${token}    ${queryType}    ${keyword}    ${organizationQueryType}    ${organizationCode}    ${rankCode}    ${positionCode}
    ${result}    Get From Dictionary    ${content.json()}    result
    Should Not Be Empty    ${result}
    [Return]    ${content}

getUserList_assertException
    [Arguments]    ${token}    ${queryType}    ${keyword}    ${organizationQueryType}    ${organizationCode}    ${rankCode}    ${positionCode}
    ${content}    getUserList_Post    ${token}    ${queryType}    ${keyword}    ${organizationCode}    ${organizationQueryType}    ${rankCode}    ${positionCode}
    ${error}    Get From Dictionary    ${content.json()}    error
    ${code}    Get From Dictionary    ${error}    code
    ${message}    Get From Dictionary    ${error}    message
    Should Be Equal As Numbers    ${code}    ${error_code}
    Should Be String    ${message}    ${error_msg}
    [Return]    ${content}
