*** Settings ***
Documentation     客户端-修改密码
Resource          ../../../AllApi/ClientAPI/PersonalInformationApi/ModifyPasswordAsync.robot
Resource          ../../../AllApi/ClientAPI/PersonalInformationApi/CommonLoginAsync.robot
Resource          ../../../CommonConfig/Config.robot
Resource          ../../../AllApi/ClientAPI/PersonalInformationApi/CommonSignUpAsync.robot

*** Variables ***

*** Test Cases ***
Class_001_修改密码，用户名、密码
    [Setup]
    [Template]
    ${username}    Random Characters
    ${res}    CommonSignUpAsyncPost    ${username}    ${EMPTY}    ${password}[0]
    Log    ${res}
    ${flag}    Result Analysis    ${res}    True    ${EMPTY}    ${EMPTY}
    Should Be True    ${flag}
    ${token}    GetCommonLoginAsyncToken    ${username}    ${EMPTY}    ${password}[0]    ${3}    ${0}
    ${res1}    ModifyPasswordAsyncPost    ${username}    ${EMPTY}    ${password}[0]    ${token}    ${password}[1]
    Log    ${res1}
    ${flag1}    Result Analysis    ${res1}    True    ${EMPTY}    ${EMPTY}
    Should Be True    ${flag1}
    ${result}    CommonLoginAsyncPost    ${username}    ${EMPTY}    ${password}[1]    ${3}    ${0}
    ${content}    Get From Dictionary    ${result}    content
    ${loginState}    Get From Dictionary    ${content}    LoginState
    Should Be Equal As Numbers    ${loginState}    0

Exception_001_修改密码，AnyAccount非空校验
    [Setup]
    [Template]
    ${token}    GetCommonLoginAsyncToken    ${user_mao}[0]    ${EMPTY}    ${user_mao}[1]    ${3}    ${0}
    ${res}    ModifyPasswordAsyncPost    ${EMPTY}    ${EMPTY}    ${password}[0]    ${token}    ${password}[1]
    Log    ${res}
    ${flag}    Result Analysis    ${res}    false    ${6049}    Account is empty
    Should Be True    ${flag}

Exception_002_修改密码，AnyAccount正确性校验-未注册用户
    [Setup]
    [Template]
    ${token}    GetCommonLoginAsyncToken    ${user_mao}[0]    ${EMPTY}    ${user_mao}[1]    ${3}    ${0}
    ${res}    ModifyPasswordAsyncPost    testjojo1199    ${EMPTY}    ${password}[1]    ${token}    ${password}[1]
    Log    ${res}
    ${flag}    Result Analysis    ${res}    false    ${6037}    User not registered
    Should Be True    ${flag}

Exception_003_修改密码，AnyAccount正确性校验-用户名与Token不一致
    [Setup]
    [Template]
    ${token}    GetCommonLoginAsyncToken    ${user_mao}[0]    ${EMPTY}    ${user_mao}[1]    ${3}    ${0}
    ${res}    ModifyPasswordAsyncPost    ${user_jo}[0]    ${EMPTY}    ${user_mao}[1]    ${token}    fb6414d24e3c347d46032b0496f1c4e4
    Log    ${res}
    ${flag}    Result Analysis    ${res}    false    ${6035}    UserName is illegality
    Should Be True    ${flag}

Exception_004_修改密码，Password非空校验
    [Setup]
    [Template]
    ${token}    GetCommonLoginAsyncToken    ${user_mao}[0]    ${EMPTY}    ${user_mao}[1]    ${3}    ${0}
    ${res}    ModifyPasswordAsyncPost    ${user_mao}[0]    ${EMPTY}    ${EMPTY}    ${token}    fb6414d24e3c347d46032b0496f1c4e4
    Log    ${res}
    ${flag}    Result Analysis    ${res}    false    ${6053}    Old password is wrong!
    Should Be True    ${flag}

Exception_005_修改密码，Password正确性校验
    [Setup]
    [Template]
    ${token}    GetCommonLoginAsyncToken    ${user_mao}[0]    ${EMPTY}    ${user_mao}[1]    ${3}    ${0}
    ${res}    ModifyPasswordAsyncPost    ${user_mao}[0]    ${EMPTY}    111SSS    ${token}    fb6414d24e3c347d46032b0496f1c4e4
    Log    ${res}
    ${flag}    Result Analysis    ${res}    false    ${6053}    Old password is wrong!
    Should Be True    ${flag}

Exception_006_修改密码，Token正确性校验
    [Setup]
    [Template]
    ${res}    ModifyPasswordAsyncPost    test1199    ${EMPTY}    bd82f500df3f398f2e50464b79786034    111aaaa    fb6414d24e3c347d46032b0496f1c4e4
    Log    ${res}
    ${flag}    Result Analysis    ${res}    false    ${1}    Permission validation error
    Should Be True    ${flag}

Exception_007_修改密码，Token非空校验
    [Setup]
    [Template]
    ${res}    ModifyPasswordAsyncPost    test1199    ${EMPTY}    bd82f500df3f398f2e50464b79786034    ${EMPTY}    fb6414d24e3c347d46032b0496f1c4e4
    Log    ${res}
    ${flag}    Result Analysis    ${res}    false    ${1}    Permission validation error
    Should Be True    ${flag}

Exception_008_修改密码，NewPassword非空校验
    [Setup]
    [Template]
    ${token}    GetCommonLoginAsyncToken    ${user_mao}[0]    ${EMPTY}    ${user_mao}[1]    ${3}    ${0}
    ${res}    ModifyPasswordAsyncPost    ${user_mao}[0]    ${EMPTY}    bd82f500df3f398f2e50464b79786034    ${token}    ${EMPTY}
    Log    ${res}
    ${flag}    Result Analysis    ${res}    false    ${6038}    Incorrect NewPasswrod format
    Should Be True    ${flag}

*** Keywords ***
