*** Settings ***
Documentation     客户端-从组织中移除用户（用户进入默认组织）
Default Tags      inexecution
Library           Collections
Library           HttpLibrary.HTTP
Library           RequestsLibrary

*** Variables ***
${uri}            /IUserService
${method}         RemoveUsersFromOrganizationAsync

*** Test Cases ***

*** Keywords ***
removeUsersFromOrganization_Post
    [Arguments]    ${token}    ${userCodes}
    ${params}    Create List
    ${param}    Create Dictionary
    Set To Dictionary    ${param}    Token    ${token}
    Set To Dictionary    ${param}    UserCodes    ${userCodes}
    Append To List    ${params}    ${param}
    ${data}    common_data    ${method}    ${params}
    Log    ${data}
    Log    ---开始断言验证---
    ${response}    request_post    ${URL}    ${uri}    ${data}
    Log    ${response}
    log    ${response.content}
    ${content}    Set Variable    ${response.content}
    Log    ---输出返回内容---：
    Log Json    ${content}    INFO
    Log    ---开始断言验证---
    Should Be True    ${response.status_code}==200
    [Return]    ${response}

removeUsersFromOrganization_assertClassTrue
    [Arguments]    ${token}    ${userCodes}
    ${organizationCodes}    String.Split String    ${userCodes}    |
    Log    ${organizationCodes}
    ${content}    removeUsersFromOrganization_Post    ${token}    ${userCodes}
    ${result}    Get From Dictionary    ${content.json()}    result
    Log    ${result}
    Should Be True    ${result}
    [Return]    ${content}

removeUsersFromOrganization_assertException
    [Arguments]    ${token}    ${userCodes}    ${error_code}    ${error_msg}
    ${organizationCodes}    String.Split String    ${userCodes}    |
    Log    ${organizationCodes}
    ${content}    removeUsersFromOrganization_Post    ${token}    ${userCodes}
    ${error}    Get From Dictionary    ${content.json()}    error
    ${code}    Get From Dictionary    ${error}    code
    ${message}    Get From Dictionary    ${error}    message
    Should Be Equal As Numbers    ${code}    ${error_code}
    Should Be String    ${message}    ${error_msg}
    [Return]    ${content}
