*** Settings ***
Documentation     客户端-验证账户名是否可用
Resource          ../../../AllApi/ClientAPI/PersonalInformationApi/VerifyAccountAsync.robot

*** Variables ***

*** Test Cases ***
Class_001_未注册的用户名验证
    [Template]
    ${result}    VerifyAccountAsyncPost    cba
    ${flag}    Result Analysis    ${result}    True    ${EMPTY}    ${EMPTY}
    Should Be True    ${flag}

Class_002_未注册的手机号验证
    [Template]
    ${result}    VerifyAccountAsyncPost    18013557777
    ${flag}    Result Analysis    ${result}    True    ${EMPTY}    ${EMPTY}
    Should Be True    ${flag}

Class_003_未注册的邮箱验证
    [Template]
    ${result}    VerifyAccountAsyncPost    18013557777@163.com
    ${flag}    Result Analysis    ${result}    True    ${EMPTY}    ${EMPTY}
    Should Be True    ${flag}

Class_004_已注册的用户名验证
    [Template]
    ${result}    VerifyAccountAsyncPost    test
    ${flag}    Result Analysis    ${result}    False    ${EMPTY}    ${EMPTY}
    Should Be True    ${flag}

Class_005_已注册的手机号验证
    [Template]
    ${result}    VerifyAccountAsyncPost    18862108573
    ${flag}    Result Analysis    ${result}    False    ${EMPTY}    ${EMPTY}
    Should Be True    ${flag}

Class_006_已注册的邮箱验证
    [Template]
    ${result}    VerifyAccountAsyncPost    jo.xue@vinno.com
    ${flag}    Result Analysis    ${result}    False    ${EMPTY}    ${EMPTY}
    Should Be True    ${flag}

Exception_001_账号非空校验
    ${res}    VerifyAccountAsyncPost    ${EMPTY}
    ${flag}    Result Analysis    ${res}    false    ${6049}    Account is empty
    Should Be True    ${flag}

Exception_002_用户名注册，用户名小于2位
    ${res}    VerifyAccountAsyncPost    1
    ${flag}    Result Analysis    ${res}    false    ${6050}    Account length incorrect
    Should Be True    ${flag}

Exception_003_用户名注册，用户名大于20位
    [Template]
    ${result}    VerifyAccountAsyncPost    1234567890abcdefgHIJKL
    ${flag}    Result Analysis    ${result}    false    ${EMPTY}    ${EMPTY}
    Should Be True    ${flag}

Exception_004_用户名注册，用户名包含非字母和数字
    [Template]
    ${result}    VerifyAccountAsyncPost    1Ab哈
    ${flag}    Result Analysis    ${result}    False    ${EMPTY}    ${EMPTY}
    Should Be True    ${flag}

*** Keywords ***
